Skip to content

Service references

All operations require authentication.

2 operationsv2/publicCloud/project
Agent setup

List private endpoint servicesBeta

GET
/v2/publicCloud/project/{projectId}/reference/privateEndpoint/serviceAvailability

Returns the services that can be reached through a private endpoint, with their tiers. Filter by region to restrict services and their tiers to it.

Path parameters

projectId
required
string

Project ID

Query parameters

region
string

Optional region filter. When set, only services offering a tier in this region are returned and each service's tiers are restricted to that region. When omitted, services are listed with their tiers across all regions. An unknown region is rejected.

Headers

X-Pagination-Cursor
string

Pagination cursor

X-Pagination-Size
integer

Pagination size

Response

200ServiceAvailability[]successful operation
description
read-only
string

Service description

name
read-only
string

Service name

tiers
read-only
ServiceTier[]

Enabled tiers of the service

Example uses projectId = string

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/reference/privateEndpoint/serviceAvailability \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "description": "string", "name": "string", "tiers": [ { "bandwidth": 0, "location": { "availabilityZone": "string", "region": "string" }, "name": "L", "port": 0, "transport": "TCP" } ] }]

Get a private endpoint serviceBeta

GET
/v2/publicCloud/project/{projectId}/reference/privateEndpoint/serviceAvailability/{name}

Returns where one service can be reached through a private endpoint: region, port and transport of each tier.

Path parameters

name
required
string

Name

projectId
required
string

Project ID

Response

200ServiceAvailabilitysuccessful operation
description
read-only
string

Service description

name
read-only
string

Service name

tiers
read-only
ServiceTier[]

Enabled tiers of the service

404objectError 404 response

Example uses name = string, projectId = string

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/reference/privateEndpoint/serviceAvailability/{name} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "description": "string", "name": "string", "tiers": [ { "bandwidth": 0, "location": { "availabilityZone": "string", "region": "string" }, "name": "L", "port": 0, "transport": "TCP" } ]}